---
title: "SW1Y Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/SW1Y"
canonical_url: "https://regulex.uk/directory/postcode/SW1Y"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area SW1Y. Monitoring 15 accountancy practices and 3,722 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/SW1Y](https://regulex.uk/directory/postcode/SW1Y)
>
> *Statutory compliance registry for postal area SW1Y. Monitoring 15 accountancy practices and 3,722 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in SW1Y

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [BOKS INTERNATIONAL LIMITED](https://regulex.uk/practice/dashboard?crn=10668342) CRN: 10668342 • SW1Y 4BP | 463 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10668342) |
| 2 | [TC ACCOUNTANTS 013 LIMITED](https://regulex.uk/practice/dashboard?crn=14155815) CRN: 14155815 • SW1Y 4BP | 463 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14155815) |
| 3 | [TC GROUP LONDON LIMITED](https://regulex.uk/practice/dashboard?crn=12308662) CRN: 12308662 • SW1Y 4BP | 463 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12308662) |
| 4 | [JONATHAN FRANKS LIMITED](https://regulex.uk/practice/dashboard?crn=08052040) CRN: 08052040 • SW1Y 5JG | 408 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08052040) |
| 5 | [KATIE HARVARD TAYLOR LIMITED](https://regulex.uk/practice/dashboard?crn=16123432) CRN: 16123432 • SW1Y 5JG | 408 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16123432) |
| 6 | [MME ACCOUNTANCY SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=10597995) CRN: 10597995 • SW1Y 5JG | 408 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10597995) |
| 7 | [TUNG SING & CO LIMITED](https://regulex.uk/practice/dashboard?crn=07057809) CRN: 07057809 • SW1Y 5JG | 408 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07057809) |
| 8 | [FIVE76 CONSULTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=16491794) CRN: 16491794 • SW1Y 4EL | 199 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16491794) |
| 9 | [ROSS BENNET SMITH LIMITED](https://regulex.uk/practice/dashboard?crn=13789774) CRN: 13789774 • SW1Y 4EL | 199 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13789774) |
| 10 | [SUNTERA ACCOUNTING & TAX (UK) LIMITED](https://regulex.uk/practice/dashboard?crn=07285656) CRN: 07285656 • SW1Y 6AW | 114 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07285656) |
| 11 | [GODSONS LIMITED](https://regulex.uk/practice/dashboard?crn=10978706) CRN: 10978706 • SW1Y 6HR | 69 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10978706) |
| 12 | [HANDY TAX TOOLS LTD](https://regulex.uk/practice/dashboard?crn=16490924) CRN: 16490924 • SW1Y 4AA | 57 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16490924) |
| 13 | [RKG CONSULTING LIMITED](https://regulex.uk/practice/dashboard?crn=03414035) CRN: 03414035 • SW1Y 4EA | 43 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03414035) |
| 14 | [ROSS BOYD LONDON LIMITED](https://regulex.uk/practice/dashboard?crn=08215787) CRN: 08215787 • SW1Y 5ED | 16 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08215787) |
| 15 | [TRUELINE PAYROLL SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=13970354) CRN: 13970354 • SW1Y 4SP | 4 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13970354) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/SW1Y](https://regulex.uk/directory/postcode/SW1Y).
